See retrofit.dart

fork retrofit.dart , and add decoder adapter.

Libraries

retrofit_generator